%define name xtables-addons
%define version 1.47.1
%define release 4
Summary: xtables-addons is a set of additional extensions for the Xtables packet filter.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SME Server/addon
Source: %{name}-%{version}.tar.xz
URL: http://xtables-addons.sourceforge.net
Patch0: xtables-addons-1.47.1-v6.patch
Packager: Michel Begue <mab974@gmail.com>
BuildRoot: %RPM_BUILD_ROOT
#BuildRequires: e-smith-devtools
Requires: smeserver-release >= 9.0
Requires: xtables-addons-kmod >= 1.47.1-1
Requires: perl-Text-CSV_XS >= 0.80
AutoReqProv: no

%description
%{name}  is a set of additional extensions for the Xtables packet filter that is present in the Linux kernel.

%changelog
* Fri Sep 29 2017 Mab974 <mab974@gmail.com>
- extract "extensions" (kmod) from here to xtables-addons-kmod packet
- no more dependencie to kernel version

* Fri Sep 22 2017 Mab974 <mab974@gmail.com>
- initial release
- patch disable WITH_IPV6 in extra/*c

%prep

%setup
%patch0 -p1

./configure --prefix=/usr

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" 
%{__rm} -rf %{buildroot}/lib/modules/

%clean
%{__rm} -rf %{buildroot}

%pre

%post

%preun

%postun

%files
%defattr(-, root, root, 0755)
/lib64/xtables/libxt_*
/usr/lib/libxt_*
/usr/libexec/xtables-*
/usr/sbin/iptaccount
/usr/share/man/man1/xt_*
/usr/share/man/man8/iptaccount.*
/usr/share/man/man8/xtables-*
